Bug 238246 - devel/py-robotframework-pabot: Update to 0.63
Summary: devel/py-robotframework-pabot: Update to 0.63
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-30 16:06 UTC by vladimir.chukharev
Modified: 2019-06-08 01:37 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.02 KB, patch)
2019-05-30 16:06 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff
Patch (2.37 KB, patch)
2019-06-06 11:35 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2019-05-30 16:06:42 UTC
Created attachment 204722 [details]
Patch

Update devel/py-robotframework-pabot from 0.59 to 0.63.
Comment 1 Kai Knoblich freebsd_committer 2019-06-06 06:36:56 UTC
Hi,

just a quick note that might help you in the further progress:

During the QA of bug #238245 I discovered that devel/py-robotframework-pabot installs two scripts, so USE_PYTHON=concurrent would make sense here.

One of the two scripts also seems bogus and shouldn't be packaged:

> # pkg info -l py36-robotframework-pabot |grep bat
>         /usr/local/bin/pabot.bat
> # cat /usr/local/bin/pabot.bat 
> @echo off
> python -m pabot.pabot %*
Comment 2 vladimir.chukharev 2019-06-06 11:35:50 UTC
Created attachment 204854 [details]
Patch

(In reply to Kai Knoblich from comment #1)
Thanks a lot, Kai, for your comment here and fixing and comitting bug #238245.

You are right, USE_PYTHON=concurrent is missing. And I plan to check and fix my other ports for this omission.

The author unconditionally installs Windows start-up script to any arch. An experienced user agreed that pabot.com is not needed on an Unix-like OS. Better yet to wait for the author's answer, but who knows when/if he will reply...

There were new releases meanwhile. I prepared a new patch, from the same old version 0.59 to 0.65 and fixing the issues found by Kai Knoblich.

QA:
portlint -Ca - OK
poudriere -j 120Ramd64 - OK
Comment 3 commit-hook freebsd_committer 2019-06-08 01:36:27 UTC
A commit references this bug:

Author: swills
Date: Sat Jun  8 01:36:08 UTC 2019
New revision: 503696
URL: https://svnweb.freebsd.org/changeset/ports/503696

Log:
  devel/py-robotframework-pabot: Update to 0.63

  PR:		238246
  Submitted by:	vladimir.chukharev@gmail.com (maintainer)

Changes:
  head/devel/py-robotframework-pabot/Makefile
  head/devel/py-robotframework-pabot/distinfo
  head/devel/py-robotframework-pabot/files/
  head/devel/py-robotframework-pabot/files/patch-setup.py
Comment 4 Steve Wills freebsd_committer 2019-06-08 01:37:14 UTC
Committed, thanks!